# transaction.h File Reference

Declares the Transaction class. More...

`#include "common.h"`

Go to the source code of this file.

## Namespaces

namespace | mysqlpp

## Classes

class | mysqlpp::Transaction
| Helper object for creating exception-safe SQL transactions. More...
class | mysqlpp::NoTransaction
| Compile-time substitute for Transaction, which purposely does nothing. Use it to instantiate templates that take Transaction when you don't want transactions to be used. More...

## Detailed Description

Declares the Transaction class.

This object works with the Connection class to automate the use of MySQL transactions. It allows you to express these transactions directly in C++ code instead of sending the raw SQL commands.